Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class StandardRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord

Direct Known Subclasses:
  AreaFormatRecord, AreaRecord, AutoFilterInfoRecord, AxisLineFormatRecord, AxisOptionsRecord, AxisParentRecord, AxisRecord, AxisUsedRecord, BackupRecord, BarRecord, BeginRecord, BlankRecord, BOFRecord, BookBoolRecord, BottomMarginRecord, BoundSheetRecord, CalcCountRecord, CalcModeRecord, CategorySeriesAxisRecord, CatLabRecord, CellRecord, CFHeaderRecord, CFRuleRecord, ChartEndBlockRecord, ChartEndObjectRecord, ChartFormatRecord, ChartFRTInfoRecord, ChartRecord, ChartStartBlockRecord, ChartStartObjectRecord, ChartTitleFormatRecord, CodepageRecord, ColumnInfoRecord, ContinueRecord, CountryRecord, CRNCountRecord, CRNRecord, DataFormatRecord, DataItemRecord, DataLabelExtensionRecord, DateWindow1904Record, DatRecord, DBCellRecord, DefaultColWidthRecord, DefaultDataLabelTextPropertiesRecord, DefaultRowHeightRecord, DeltaRecord, DimensionsRecord, DrawingRecord, DrawingSelectionRecord, DSFRecord, DVALRecord, DVRecord, EndRecord, EOFRecord, ExtendedFormatRecord, ExtendedPivotTableViewFieldsRecord, ExternalNameRecord, ExternSheetRecord, ExtSSTRecord, FeatHdrRecord, FeatRecord, FilePassRecord, FileSharingRecord, FnGroupCountRecord, FontBasisRecord, FontIndexRecord, FontRecord, FormatRecord, FrameRecord, GridsetRecord, GutsRecord, HCenterRecord, HeaderFooterBase, HeaderFooterRecord, HideObjRecord, HyperlinkRecord, IndexRecord, InterfaceEndRecord, InterfaceHdrRecord, IterationRecord, LeftMarginRecord, LegendRecord, LineFormatRecord, LinkedDataRecord, MergeCellsRecord, MMSRecord, MulBlankRecord, MulRKRecord, NameCommentRecord, NameRecord, NoteRecord, NumberFormatIndexRecord, ObjectLinkRecord, ObjectProtectRecord, PageBreakRecord, PageItemRecord, PaletteRecord, PaneRecord, PasswordRecord, PasswordRev4Record, PlotAreaRecord, PlotGrowthRecord, PrecisionRecord, PrintGridlinesRecord, PrintHeadersRecord, PrintSetupRecord, ProtectionRev4Record, ProtectRecord, RecalcIdRecord, RefModeRecord, RefreshAllRecord, RightMarginRecord, RowRecord, SaveRecalcRecord, ScenarioProtectRecord, SCLRecord, SelectionRecord, SeriesChartGroupIndexRecord, SeriesIndexRecord, SeriesLabelsRecord, SeriesListRecord, SeriesRecord, SeriesTextRecord, SeriesToChartGroupRecord, SharedValueRecordBase, SheetPropertiesRecord, StreamIDRecord, StyleRecord, SupBookRecord, TabIdRecord, TableStylesRecord, TextRecord, TickRecord, TopMarginRecord, UncalcedRecord, UnitsRecord, UnknownRecord, UserSViewBegin, UserSViewEnd, UseSelFSRecord, ValueRangeRecord, VCenterRecord, ViewDefinitionRecord, ViewFieldsRecord, ViewSourceRecord, WindowOneRecord, WindowProtectRecord, WindowTwoRecord, WriteAccessRecord, WriteProtectRecord, WSBoolRecord

    public abstract class StandardRecord

extends Record

Subclasses of this class (the majority of BIFF records) are non-continuable. This allows for some simplification of serialization logic

Author:
  Josh Micich

Constructor Summary
`StandardRecord()`

Method Summary
`protected abstract int` | `getDataSize()`
`int` | `getRecordSize()` gives the current serialized size of the record.
`int` | `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`protected abstract void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, getSid, serialize, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StandardRecord

    public StandardRecord()

Method Detail

### getDataSize

    protected abstract int getDataSize()

### getRecordSize

    public final int getRecordSize()

  Description copied from class: `RecordBase`
  gives the current serialized size of the record. Should include the sid and reclength (4 bytes).

  Specified by:
    `getRecordSize` in class `RecordBase`

### serialize

    public final int serialize(int offset,
                               byte[] data)

  Description copied from class: `RecordBase`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `RecordBase`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### serialize

    protected abstract void serialize(LittleEndianOutput out)

  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The subclass must write the exact number of bytes as reported by `RecordBase.getRecordSize()`}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.